<?cs include "header.cs"?>

<div id="ctxtnav" class="nav"></div>

<div id="content" class="error">

 <?cs if error.type == "TracError" ?>
  <h3><?cs var:error.title ?></h3>
  <p class="message">
  <?cs var:error.message ?>
  </p>

 <?cs elif error.type == "internal" ?>
  <h3>Uups...</h3>
  <div class="message">
   <strong>Trac wykrył wewnętrzny błąd:</strong>
   <pre><?cs var:error.message ?></pre>
  </div>
  <p>
   Jeśli uważasz, że naprawdę powninno to działać i nie ma w tym Twojej winy. Może powinieneś rozważyć raport tego problemu do Trac team.
  </p>
  <p>
   Idź do <a href="<?cs var:trac.href.homepage ?>"><?cs
     var:trac.href.homepage ?></a>  i stwórz new ticket gdzie opiszesz problem i sposób w jaki go otrzymujesz. Nie zapomnij dołączyć python traceback, który pojawi się poniżej.
  </p>

 <?cs elif error.type == "permission" ?>
  <h3>Brak dostępu</h3>
  <p class="message">
  <?cs var:error.message ?>
  </p>
  <div id="help">
   <strong>Pomoc</strong>: Zobacz
   <a href="<?cs var:trac.href.wiki ?>/TracPermissions">TracPermissions</a>, aby dowiedzieć się więcej o zabezpieczeniach.
  </div>

 <?cs /if ?>

 <p>
  <a href="<?cs var:trac.href.wiki ?>/TracGuide">TracGuide</a>
  &mdash; The Trac User and Administration Guide
 </p>

 <?cs if $error.traceback ?>
  <h4>Python traceback</h4>
  <pre><?cs var:error.traceback ?></pre>
 <?cs /if ?>

</div>
<?cs include "footer.cs"?>
